package com.ibiz5.api.web.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5ORDERDETAIL;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5ORDERDETAILDTO {

    private Timestamp createdate;

    private String ibz5orderdetailname;

    private String createman;

    private String ibz5uniproductid;

    private String ibz5uniproductname;

    private String ibz5ordername;

    private Integer quantity;

    private String updateman;

    private Double amount;

    private String ibz5orderid;

    private String ibz5orderdetailid;

    private Timestamp updatedate;


    public IBZ5ORDERDETAIL toPO() {
        IBZ5ORDERDETAIL po = new IBZ5ORDERDETAIL();
        BeanCopier copier=BeanCopier.create(IBZ5ORDERDETAILDTO.class, IBZ5ORDERDETAIL.class, false);
        copier.copy(this, po, null);
        po.setIbz5orderdetailid(null);
        return po;
    }

    public void fromPO(IBZ5ORDERDETAIL po) {
        BeanCopier copier=BeanCopier.create(IBZ5ORDERDETAIL.class, IBZ5ORDERDETAILDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5ORDERDETAILDTO> fromPOPage(Page<IBZ5ORDERDETAIL> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5ORDERDETAILDTO> dtoPage=new Page<IBZ5ORDERDETAILDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5ORDERDETAILDTO> dtos=new ArrayList<IBZ5ORDERDETAILDTO>();
        for(IBZ5ORDERDETAIL po : poPage.getRecords()) {
            IBZ5ORDERDETAILDTO dto = new IBZ5ORDERDETAILDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
